---
type: api
title: Create or update a protection updates note
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-createupdateprotectionupdatesnote
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-createupdateprotectionupdatesnote
products:
  - Kibana
---

# Create or update a protection updates note

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/endpoint/protection_updates_note/{package_policy_id}`
- `POST` `/s/{space_id}/api/endpoint/protection_updates_note/{package_policy_id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

#### Path Parameters

- `package_policy_id` (string · max: 256)
  The package policy ID to create or update the protection updates note for.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Create or update the protection updates note for a package policy.

## Request Body

`application/json`

- `note` (string · max: 10000) — required
  The note content.

## Response

Indicates a successful call.

`application/json`

- `note` (string)
  A note associated with the protection updates for the given package policy.
## Code Examples

#### Console

```console
POST /api/endpoint/protection_updates_note/{package_policy_id}
{
  "note": "Pinned protection updates to 2025-01-01 while validating new signatures."
}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/endpoint/protection_updates_note/{package_policy_id}" \
  -H "Content-Type: application/json" \
  -d '{
  "note": "Pinned protection updates to 2025-01-01 while validating new signatures."
}'
```

## Response Examples

#### Protection updates note saved

```json
{
  "note": "Pinned protection updates to 2025-01-01 while validating new signatures."
}
```

